# Class GSWin

java.lang.Object
GSWin

All Implemented Interfaces:
  `DialogManager`

public class GSWin extends Object implements DialogManager
GSWin gère l'affichage d'une fenêtre de félicitations pour avoir résolu le Sudoku.

## Constructor Summary

Constructors
Constructor
Description
`GSWin(long solvingTime)`
Constructeur de la classe GSWin.

## Method Summary

Modifier and Type
Method
Description
`void`
`showDialog()`
Affiche la fenêtre de félicitations pour avoir résolu le Sudoku.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GSWin

public GSWin(long solvingTime)
Constructeur de la classe GSWin.

Parameters:
  `solvingTime` - Le temps de résolution du Sudoku.

## Method Details

### showDialog

public void showDialog()
Affiche la fenêtre de félicitations pour avoir résolu le Sudoku.

Specified by:
  `showDialog` in interface `DialogManager`